@mixin small() {
	--MAX-WIDTH: var(--digi--notification-alert--max-width--small);
	--ICON--PADDING: var(--digi--notification-alert--icon--padding--small);
	--ICON--WIDTH: var(--digi--notification-alert--icon--width--small);
}

@mixin medium() {
	--MAX-WIDTH: var(--digi--notification-alert--max-width--medium);
	--ICON--PADDING: var(--digi--notification-alert--icon--padding--medium);
	--ICON--WIDTH: var(--digi--notification-alert--icon--width--medium);
}

@mixin large() {
	--MAX-WIDTH: var(--digi--notification-alert--max-width--large);
	--ICON--PADDING: var(--digi--notification-alert--icon--padding--large);
	--ICON--WIDTH: var(--digi--notification-alert--icon--width--large);
}

@mixin info() {
	--BORDER: var(--digi--notification-alert--border--informative);
	--ICON--COLOR: var(--digi--notification-alert--icon--color--informative);
	--ICON--BACKGROUND: var(--digi--notification-alert--icon--background--informative);
}

@mixin success() {
	--BORDER: var(--digi--notification-alert--border--success);
	--ICON--COLOR: var(--digi--notification-alert--icon--color--success);
	--ICON--BACKGROUND: var(--digi--notification-alert--icon--background--success);
}

@mixin warning() {
	--BORDER: var(--digi--notification-alert--border--warning);
	--ICON--COLOR: var(--digi--notification-alert--icon--color--warning);
	--ICON--BACKGROUND: var(--digi--notification-alert--icon--background--warning);
}

@mixin danger() {
	--BORDER: var(--digi--notification-alert--border--danger);
	--ICON--COLOR: var(--digi--notification-alert--icon--color--danger);
	--ICON--BACKGROUND: var(--digi--notification-alert--icon--background--danger);
}
